package de.intevation.gnv.artifactdatabase.objects.map;

/**
 * The default implementation of <code>Layer</code>.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultLayer implements Layer {


    private String id = null;

    private String name = null;

    private boolean groupLayer = false;

    private String parentId = null;
    
    /**
     * Constructor
     */
    public DefaultLayer(String id,String name,
                        boolean groupLayer,String parentId) {
        this.id = id;
        this.name = name;
        this.groupLayer = groupLayer;
        this.parentId = parentId;
    }


    public String getID() {
        return this.id;
    }


    public String getName() {
        return this.name;
    }


    public boolean isGroupLayer() {
        return this.groupLayer;
    }


    public String parentID() {
        return this.parentId;
    }

    @Override
    public String toString() {
        return "ID: "+ this.id + " Name: "+this.name+
               " IsGroupLayer: "+this.groupLayer+
               " ParentID: "+this.parentId;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :